package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsMaterialScrm;

/**
 * 素材库Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsMaterialScrmService 
{
    /**
     * 查询素材库
     * 
     * @param materialId 素材库ID
     * @return 素材库
     */
    public FsMaterialScrm selectFsMaterialById(Long materialId);

    /**
     * 查询素材库列表
     * 
     * @param fsMaterial 素材库
     * @return 素材库集合
     */
    public List<FsMaterialScrm> selectFsMaterialList(FsMaterialScrm fsMaterial);

    /**
     * 新增素材库
     * 
     * @param fsMaterial 素材库
     * @return 结果
     */
    public int insertFsMaterial(FsMaterialScrm fsMaterial);

    /**
     * 修改素材库
     * 
     * @param fsMaterial 素材库
     * @return 结果
     */
    public int updateFsMaterial(FsMaterialScrm fsMaterial);

    /**
     * 批量删除素材库
     * 
     * @param materialIds 需要删除的素材库ID
     * @return 结果
     */
    public int deleteFsMaterialByIds(Long[] materialIds);

    /**
     * 删除素材库信息
     * 
     * @param materialId 素材库ID
     * @return 结果
     */
    public int deleteFsMaterialById(Long materialId);
}
